/*
 * The Spar Library -  
 * Copyright (C) 2000,2001 Davide Angelocola <davide178@inwind.it>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *
 */

#include <spar/sl_test.h>
#include <spar/sl_io.h>
#include <spar/sl_math.h>
#include <time.h>

static sl_interval t;

void
sl_test_benchmk_reset (void)
{
  t.begin = ZERO;
  t.end = ZERO;
}

void
sl_test_benchmk_start (void)
{
  t.begin = clock ();
}

void
sl_test_benchmk_stop (void)
{
  t.end = clock ();
}

double
sl_test_benchmk (void)
{
  return (t.end - t.begin) / CLOCKS_PER_SEC;
}
